.signup {
  &__title {
    padding: 25px 0;
    height: 100px;
    display: flex;
    align-items: center;

    h1 {
      color: #fff;
      font-size: 22px;
      font-weight: 600;
      margin: 0;
    }
  }

  &__box {
    background-color: #fff;
    border-radius: 10px;
    position: relative;
    padding: 60px 30px 30px;
  }

  &__avatar {
    position: absolute;
    top: -50px;
    left: 0;
    right: 0;

    .avatar-profile {
      position: absolute;
      opacity: 0;
      z-index: 1;
      width: 100px;
      height: 100%;
      left: 50%;
      cursor: pointer;
      @include translatingX;
    }

    .avatar-image {
      display: block;
      position: relative;
      width: 100px;
      height: 100px;
      object-fit: cover;
      background-color: $body-bg-color;
      border-radius: 100%;
      margin: auto;
      overflow: hidden;
      border: 2px solid #fff;
      box-shadow: 1px 1px 10px 0 rgba(0, 0, 0, 0.5);

      &:before {
        content: "";
        width: 100%;
        position: absolute;
        top: 0;
        left: 0;
        height: 100%;
        background-image: url(~@/assets/images/default-avatar.jpg);
        background-size: contain;
        background-position: 50%;
      }
    }
  }

  &__type {
    text-align: center;
    padding-top: 12px;

    h4 {
      font-size: 18px;
      font-size: calc-rem-value(18);
    }

    .type-nav {
      display: flex;
      justify-content: center;
    }

    li {
      .btn {
        margin: 0 5px;
        border-color: $primary;
        background-color: rgba($white, 0);
        color: $primary;
      }

      &.active {
        .btn {
          background-color: $primary;
          color: $white;
        }
      }
    }
  }

  &__form {
    margin-top: 20px;

    .row {
      margin-bottom: 15px;
    }

    .label {
      display: block;
      font-size: 12px;
      font-size: calc-rem-value(12);
      line-height: 1;
      color: $black-3;
      font-weight: 600;
      padding-left: 0;
      padding-bottom: 10px;
      text-align: left;

      span {
        font-weight: 400;
      }
    }

    input {
      width: 100%;
      font-size: 12px;
      color: $black-3;
      background: $light-grey;
      border: 0;
      padding: 8px 20px;
    }

    .select-wrapper {
      display: block;
      position: relative;
      cursor: pointer;

      select {
        display: none;
      }

      .select {
        border: 1px solid $black;
        border-radius: 50px;
        background: $white;
        position: relative;
        display: block;
        margin: 0;
        padding: 8px 20px;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        font-size: 12px;
        font-size: calc-rem-value(12);
        font-weight: 400;
        line-height: initial;
        text-align: left;
        user-select: none;

        &:after {
          content: "\f0d7";
          font-family: $faf;
          float: right;
          font-size: 14px;
          transition: all 0.5 ease;
        }

        &.select-arrow-active {
          &:after {
            content: "\f0d8";
            transition: all 0.5 ease;
          }
        }
      }

      .select-items {
        position: absolute;
        top: calc(100% + 2px);
        left: 0;
        right: 0;
        width: calc(100%);
        margin: auto;
        border: 1px solid #cccccc;
        border-top: 2px solid #b7b7b7;
        border-radius: 5px 5px 0 0;
        background-color: $white;
        z-index: 1;
        box-shadow: 0 0 10px -6px;

        &.select-hide {
          display: none;
        }

        div {
          border-width: 0;
          padding: 6px 8px;
          color: #8d8d8d;
          line-height: 18px;
          min-height: 18px;
          font-size: 12px;
          font-size: calc-rem-value(12);
          cursor: pointer;

          .same-as-selected {
            background-color: #e6e6e6;
          }

          &:hover {
            background-color: #e6e6e6;
          }
        }

        &.select-open {
          .select-items {
            display: block;
          }
        }
      }
    }
  }

  &__submit {
    text-align: center;
    margin: 30px auto;
  }
}
